
# build/run tests (or not)
#global tests 1

Name:    Vc
Summary: A library to ease explicit vectorization of C++ code 
Version: 0.7.0
Release: 2%{?dist}

License: LGPLv3+
URL:     http://code.compeng.uni-frankfurt.de/projects/vc
Source0: http://code.compeng.uni-frankfurt.de/attachments/download/158/Vc-%{version}.tar.gz
%if 0%{?tests}
# test data fetched/compressed from http://compeng.uni-frankfurt.de/~kretz/Vc-testdata/
Source1: Vc-testdata-20130208.tar.xz
%endif

## upstreamable patches
# remove hard-coded <prefix>/lib, support ${LIB_SUFFIX}
Patch50: Vc-0.7.0-LIB_SUFFIX.patch
# hack-out/disable downloading testdata at buildtime
# needswork to be truly upstreamble
Patch51: Vc-0.7.0-no_download_testdata.patch

BuildRequires: cmake

%description
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

%package devel
Summary: Vector classes 
# -devel subpkg only atm, compat with other distros
Provides: %{name} = %{version}-%{release}
Provides: %{name}%{?_isa} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}
Provides: %{name}-static%{?_isa} = %{version}-%{release}
%description devel
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.


%prep
%setup -q -n Vc-%{version} %{?tests:-a 1}

%patch50 -p1 -b .LIB_SUFFIX
%{?tests:%patch51 -p1 -b .no_download_testdata}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DCMAKE_BUILD_TYPE:String=Release \
  %{!?tests:-DBUILD_TESTING:BOOL=OFF} \
  ..
%{?tests:cp -alf ../Vc-testdata/*.dat tests/}
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%files devel
%doc LGPL
%{_includedir}/Vc/
%{_libdir}/libVc.a
%{_libdir}/cmake/Vc/


%changelog
* Thu Mar 21 2013 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-2
- update Summary 

* Fri Mar 15 2013 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-1
- first try

